## kde-style-qtcurve 1.8.12

=== CMakeLists.txt ===
project(QtCurve-KDE4)
cmake_minimum_required(VERSION 2.4.4)

set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
set(CPACK_GENERATOR "DEB;RPM;TGZ")
set(DEBIAN_PACKAGE_DESCRIPTION "QtCurve for Qt4/KDE4")
set(DEBIAN_PACKAGE_SECTION "kde4")
set(CPACK_SOURCE_GENERATOR "TBZ2")
set(CPACK_PACKAGE_VERSION_MAJOR "1")
set(CPACK_PACKAGE_VERSION_MINOR "8")
set(CPACK_PACKAGE_VERSION_PATCH "12")
set(CPACK_PACKAGE_CONTACT "Craig Drummond <craig.p.drummond@gmail.com>")
set(QTCURVE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
set(QTCURVE_VERSION_FULL "${QTCURVE_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${QTCURVE_VERSION_FULL}")
set(CPACK_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${QTCURVE_VERSION_FULL}")
include(CPack)

set(OLD_CMAKE_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX})

# Try to find kde4-config...
file(TO_CMAKE_PATH "$ENV{KDEDIRS}" _KDEDIRS)

find_program(KDE3CONFIG_EXECUTABLE NAMES kde-config
             PATHS $ENV{KDEDIR}/bin /opt/kde3/bin /opt/kde/bin NO_DEFAULT_PATH)

find_program(KDE3CONFIG_EXECUTABLE kde-config)

if(KDE3CONFIG_EXECUTABLE)
    exec_program(${KDE3CONFIG_EXECUTABLE}
                    ARGS --prefix
                    OUTPUT_VARIABLE KDE3PREFIX)
endif(KDE3CONFIG_EXECUTABLE)

find_program(KDE4_KDECONFIG_EXECUTABLE NAMES kde4-config
             PATHS ${CMAKE_INSTALL_PREFIX}/bin ${_KDEDIRS} /opt/kde4/bin NO_DEFAULT_PATH)

if (NOT KDE4_KDECONFIG_EXECUTABLE)
   find_program(KDE4_KDECONFIG_EXECUTABLE NAMES kde4-config )
endif (NOT KDE4_KDECONFIG_EXECUTABLE)

# Then set install prefix...
if (KDE4_KDECONFIG_EXECUTABLE)
    if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
        exec_program(${KDE4_KDECONFIG_EXECUTABLE}
                     ARGS --prefix
                     OUTPUT_VARIABLE CMAKE_INSTALL_PREFIX)
    endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    exec_program(${KDE4_KDECONFIG_EXECUTABLE}
                    ARGS --prefix
                    OUTPUT_VARIABLE KDE4PREFIX)
endif (KDE4_KDECONFIG_EXECUTABLE)

if(NOT KDE3PREFIX)
    if(KDE4PREFIX)
        set(KDE3PREFIX ${KDE4PREFIX})
    else(KDE4PREFIX)
        set(KDE3PREFIX /usr)
    endif(KDE4PREFIX)
endif(NOT KDE3PREFIX)

if(NOT KDE4PREFIX)
    if(KDE3PREFIX)
        set(KDE4PREFIX ${KDE3PREFIX})
    else(KDE3PREFIX)
        set(KDE4PREFIX /usr)
    endif(KDE3PREFIX)
endif(NOT KDE4PREFIX)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules )

# search packages used by KDE
if (NOT QTC_QT_ONLY)
    find_package(KDE4 REQUIRED)
endif (NOT QTC_QT_ONLY)
find_package(Qt4 REQUIRED)

configure_file(config.h.cmake ${CMAKE_BINARY_DIR}/config.h @ONLY)

if (NOT QTC_QT_ONLY)
    find_package(KDE4 REQUIRED)
    include(KDE4Defaults)

    add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
    include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})
    set(QTCURVE_STYLE_DIR ${PLUGIN_INSTALL_DIR}/plugins/styles/)
    add_subdirectory(config)
    add_subdirectory(themes)
    add_subdirectory(colors)
    add_subdirectory(po)

    find_file(KWINGLOBALS_H kwinglobals.h ${KDE4_INCLUDES}) # kwinglobals.h is new for KDE4

    if (KWINGLOBALS_H)
        add_subdirectory(kwin)
        add_subdirectory(kwinconfig)
    else (KWINGLOBALS_H)
        message("** KWin headers not found - KWin decoration will not be built")
    endif (KWINGLOBALS_H)
else (NOT QTC_QT_ONLY)
    set(CMAKE_INSTALL_PREFIX ${OLD_CMAKE_INSTALL_PREFIX})
    add_definitions(${QT_DEFINITIONS})
    include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})
    set(QTCURVE_STYLE_DIR ${QT_PLUGINS_DIR}/styles/)
endif (NOT QTC_QT_ONLY)

add_subdirectory(style)

message("** PREFIX=${CMAKE_INSTALL_PREFIX}\n")

if (QTC_KWIN_MAX_BUTTON_HACK)
    message("**************************************************************\n"
            "Warning: You have enabled the hack to force drawing of maximise\n"
            "         buttons for windows that can be minimised. This is a 100%\n"
            "         hack, that may not work or compile, and may even crash\n"
            "         kwin.\n"
            "**************************************************************\n")
endif (QTC_KWIN_MAX_BUTTON_HACK)

if (QTC_ENABLE_PARENTLESS_DIALOG_FIX_SUPPORT)
    message("**************************************************************\n"
            "Warning: You have enabled support for the 'fix parentless dialogs'\n"
            "         option. This is known to BREAK some applications. Please\n"
            "         DO NOT report errors to application authors when you have\n"
            "         this enabled. Please reconsider DISABLING this option.\n"
            "**************************************************************\n")
endif (QTC_ENABLE_PARENTLESS_DIALOG_FIX_SUPPORT)

=== debian/changelog ===
kde-style-qtcurve (1.8.12-2) unstable; urgency=low

  * debian/rules was updated:
    - now uscan options are used instead of direct using of mv command
    - used hardening flags in compiler options

 -- Boris Pek <tehnick-8@mail.ru>  Sun, 10 Jun 2012 16:51:20 +0300

kde-style-qtcurve (1.8.12-1) unstable; urgency=low

  * Update to stable release 1.8.12.
  * debian/patches/* were updated:
    - files 01_ftbfs_missing_terminating_characher_bug541667.diff and
      03_fix_spelling_errors.diff were deleted (accepted in upstream).
    - file 02_bypass_braindead_buildsystem.diff was renamed
  * Fixes from upstream: fixed problem with GoldenDict. (Closes: #638629)

 -- Boris Pek <tehnick-8@mail.ru>  Wed, 25 Apr 2012 00:49:00 +0300

=== debian/control ===
Source: kde-style-qtcurve
Section: kde
Priority: optional
Maintainer: Boris Pek <tehnick-8@mail.ru>
Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.6.4),
 kdelibs5-dev (>= 4:4.3.4), kdebase-workspace-dev(>= 4:4.3.4), libx11-dev
Homepage: http://www.kde-look.org/content/show.php?content=40492
Vcs-Git: git://github.com/tehnick/kde-style-qtcurve-debian.git
Vcs-Browser: https://github.com/tehnick/kde-style-qtcurve-debian
Standards-Version: 3.9.3
DM-Upload-Allowed: yes

Package: kde-style-qtcurve
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: kwin-style-qtcurve
Suggests: gtk2-engines-qtcurve
Description: QtCurve widget style for KDE 4
 This package contains the QtCurve widget style for KDE 4.
 .
 QtCurve is a set of widget styles for KDE and GTK+. It provides a consistent
 look between KDE and GTK+ applications, which is easy on the eyes and visually
 pleasing.
 .
 The corresponding GTK+ theme engine can be found in gtk2-engines-qtcurve
 package.

Package: kwin-style-qtcurve
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: kde-style-qtcurve
Suggests: gtk2-engines-qtcurve
Description: QtCurve window decoration for KWin
 This package contains the QtCurve window decoration for KWin.
 .
 QtCurve is a set of widget styles for KDE and GTK+. It provides a consistent
 look between KDE and GTK+ applications, which is easy on the eyes and visually
 pleasing.
 .
 The corresponding GTK+ theme engine can be found in gtk2-engines-qtcurve
 package.

Package: qtcurve-i18n
Section: localization
Architecture: all
Depends: ${misc:Depends}
Description: Translation files for QtCurve
 This package contains translation files for QtCurve.
 .
 QtCurve is a set of widget styles for KDE and GTK+. It provides a consistent
 look between KDE and GTK+ applications, which is easy on the eyes and visually
 pleasing.

Package: qtcurve
Section: metapackages
Architecture: any
Depends: ${misc:Depends},
 kde-style-qtcurve, kwin-style-qtcurve,
 gtk2-engines-qtcurve, qtcurve-i18n
Description: Unified window decoration for KDE and GTK+ (meta-package)
 This package installs all packages related with QtCurve:
  * kde-style-qtcurve
  * kwin-style-qtcurve
  * gtk2-engines-qtcurve
  * qtcurve-i18n
 .
 QtCurve is a set of widget styles for KDE and GTK+. It provides a consistent
 look between KDE and GTK+ applications, which is easy on the eyes and visually
 pleasing.

## kde-style-qtcurve 1.8.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 set(CPACK_SOURCE_GENERATOR "TBZ2")
 set(CPACK_PACKAGE_VERSION_MAJOR "1")
 set(CPACK_PACKAGE_VERSION_MINOR "8")
-set(CPACK_PACKAGE_VERSION_PATCH "12")
+set(CPACK_PACKAGE_VERSION_PATCH "14")
 set(CPACK_PACKAGE_CONTACT "Craig Drummond <craig.p.drummond@gmail.com>")
 set(QTCURVE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
 set(QTCURVE_VERSION_FULL "${QTCURVE_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")

=== colors/CMakeLists.txt ===
install(FILES QtCurve.colors QtCurveAgua.colors DESTINATION ${DATA_INSTALL_DIR}/color-schemes)

=== config/CMakeLists.txt ===
set(kstyle_qtcurve_config_common_SRCS
        ${CMAKE_CURRENT_SOURCE_DIR}/../common/common.c
        ${CMAKE_CURRENT_SOURCE_DIR}/../common/config_file.c )
set_source_files_properties(${kstyle_qtcurve_config_common_SRCS} PROPERTIES LANGUAGE CXX)

if (QTC_STYLE_SUPPORT)
    set(kstyle_qtcurve_config_PART_SRCS qtcurveconfig.cpp imagepropertiesdialog.cpp exportthemedialog.cpp ../kwinconfig/qtcurvekwinconfig.cpp ../kwin/qtcurveconfig.cpp ../kwin/qtcurveshadowconfiguration.cpp ${kstyle_qtcurve_config_common_SRCS})
else (QTC_STYLE_SUPPORT)
    set(kstyle_qtcurve_config_PART_SRCS qtcurveconfig.cpp imagepropertiesdialog.cpp ../kwinconfig/qtcurvekwinconfig.cpp ../kwin/qtcurveconfig.cpp ../kwin/qtcurveshadowconfiguration.cpp ${kstyle_qtcurve_config_common_SRCS})
endif (QTC_STYLE_SUPPORT)

add_definitions(-DCONFIG_WRITE -DCONFIG_DIALOG)

include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_SOURCE_DIR}/common ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDE_DIR} ${QT_INCLUDE_DIR})
kde4_add_ui_files(kstyle_qtcurve_config_PART_SRCS qtcurveconfigbase.ui stylepreview.ui imageproperties.ui ../kwinconfig/qtcurvekwinconfigwidget.ui)
kde4_add_plugin(kstyle_qtcurve_config ${kstyle_qtcurve_config_PART_SRCS})
target_link_libraries(kstyle_qtcurve_config ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KDECORE_LIBS} ${QT_QTGUI_LIBRARY})
install(TARGETS kstyle_qtcurve_config DESTINATION ${PLUGIN_INSTALL_DIR} )
install(FILES QtCurveui.rc DESTINATION ${DATA_INSTALL_DIR}/QtCurve )

=== kwin/CMakeLists.txt ===
# add_subdirectory(config)
set(kwin3_qtcurve_PART_SRCS qtcurvehandler.cpp qtcurveclient.cpp qtcurvebutton.cpp qtcurvesizegrip.cpp qtcurveshadowcache.cpp qtcurveconfig.cpp qtcurveshadowconfiguration.cpp tileset.cpp qtcurvetogglebutton.cpp)
include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_SOURCE_DIR}/common ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_BINARY_DIR} ${QT_INCLUDE_DIR}
                     ${QT_QTGUI_INCLUDE_DIR} ${QT_QTCORE_INCLUDE_DIR} ${CMAKE_SOURCE_DIR}/common ${CMAKE_SOURCE_DIR}/style)
kde4_add_plugin(kwin3_qtcurve ${kwin3_qtcurve_PART_SRCS})
target_link_libraries(kwin3_qtcurve kdecorations ${KDE4_KDEUI_LIBS} ${X11_LIBRARIES})
install(TARGETS kwin3_qtcurve  DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES qtcurve.desktop  DESTINATION  ${DATA_INSTALL_DIR}/kwin/)

=== kwinconfig/CMakeLists.txt ===
set(kwin_qtcurve_config_PART_SRCS qtcurvekwinconfig.cpp ../kwin/qtcurveconfig.cpp ../kwin/qtcurveshadowconfiguration.cpp)
kde4_add_ui_files(kwin_qtcurve_config_PART_SRCS qtcurvekwinconfigwidget.ui)
kde4_add_plugin(kwin_qtcurve_config ${kwin_qtcurve_config_PART_SRCS})
include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_SOURCE_DIR}/common ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDE_DIR} ${QT_INCLUDE_DIR})
target_link_libraries(kwin_qtcurve_config ${KDE4_KDEUI_LIBS} ${QT_QTGUI_LIBRARY})
install(TARGETS kwin_qtcurve_config DESTINATION ${PLUGIN_INSTALL_DIR})

=== po/CMakeLists.txt ===
find_program(GETTEXT_MSGFMT_EXECUTABLE msgfmt)
 
if(NOT GETTEXT_MSGFMT_EXECUTABLE)
    message("------\n"
            "NOTE: msgfmt not found. Translations will *not* be installed\n"
            "------\n")
else(NOT GETTEXT_MSGFMT_EXECUTABLE)
    set(catalogname qtcurve)
    add_custom_target(translations ALL)
    file(GLOB PO_FILES *.po)
    foreach(_poFile ${PO_FILES})
        get_filename_component(_poFileName ${_poFile} NAME)
        string(REGEX REPLACE "^${catalogname}_?" "" _langCode ${_poFileName} )
        string(REGEX REPLACE "\\.po$" "" _langCode ${_langCode} )
        if(_langCode)
            get_filename_component(_lang ${_poFile} NAME_WE)
            set(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)
            add_custom_command(TARGET translations
                    COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --check -o ${_gmoFile} ${_poFile}
                    DEPENDS ${_poFile})
            install(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_langCode}/LC_MESSAGES/ RENAME ${catalogname}.mo)
        endif( _langCode )
    endforeach(_poFile ${PO_FILES})
endif(NOT GETTEXT_MSGFMT_EXECUTABLE)

=== style/CMakeLists.txt ===
set(qtcurve_style_common_SRCS
        ${CMAKE_CURRENT_SOURCE_DIR}/../common/common.c
        ${CMAKE_CURRENT_SOURCE_DIR}/../common/config_file.c
        ${CMAKE_CURRENT_SOURCE_DIR}/../common/colorutils.c )
set_source_files_properties(${qtcurve_style_common_SRCS} PROPERTIES LANGUAGE CXX)

if (Q_WS_X11)
    set(qtcurve_SRCS qtcurve.cpp windowmanager.cpp macmenu.cpp blurhelper.cpp utils.cpp shortcuthandler.cpp shadowhelper.cpp ${qtcurve_style_common_SRCS})
    set(qtcurve_MOC_HDRS qtcurve.h windowmanager.h macmenu.h macmenu-dbus.h blurhelper.h shortcuthandler.h shadowhelper.h)
else (Q_WS_X11)
    set(qtcurve_SRCS qtcurve.cpp windowmanager.cpp blurhelper.cpp utils.cpp shortcuthandler.cpp ${qtcurve_style_common_SRCS})
    set(qtcurve_MOC_HDRS qtcurve.h windowmanager.h blurhelper.h shortcuthandler.h)
endif (Q_WS_X11)


add_definitions(-DQT_PLUGIN)
include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_BINARY_DIR} ${QT_INCLUDE_DIR}
                     ${QT_QTGUI_INCLUDE_DIR} ${QT_QTCORE_INCLUDE_DIR} ${CMAKE_SOURCE_DIR}/common)
#kde4_add_plugin(qtcurve ${qtcurve_SRCS} )
qt4_automoc(${qtcurve_SRCS})
qt4_wrap_cpp(qtcurve_MOC_SRCS ${qtcurve_MOC_HDRS})
add_library(qtcurve MODULE ${qtcurve_SRCS} ${qtcurve_MOC_SRCS})
set_target_properties(qtcurve PROPERTIES PREFIX "")

if (NOT QTC_QT_ONLY)
    install(FILES qtcurve.themerc DESTINATION ${DATA_INSTALL_DIR}/kstyle/themes)
    set(QTC_KDE_LIBS ${KDE4_KDEUI_LIBS})
    if (NOT QTC_DISABLE_KDEFILEDIALOG_CALLS)
        set(QTC_KFILEDIALOG_LIBS ${KDE4_KIO_LIBS} ${KDE4_KDECORE_LIBS})
    endif (NOT QTC_DISABLE_KDEFILEDIALOG_CALLS)
endif (NOT QTC_QT_ONLY)

if (Q_WS_X11)
    target_link_libraries(qtcurve ${QTC_KDE_LIBS} ${QTC_KFILEDIALOG_LIBS} ${QT_QTGUI_LIBRARY}
                                ${QT_QTDBUS_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTSVG_LIBRARY} ${X11_X11_LIB})
else (Q_WS_X11)
    target_link_libraries(qtcurve ${QTC_KDE_LIBS} ${QTC_KFILEDIALOG_LIBS} ${QT_QTGUI_LIBRARY}
                                  ${QT_QTCORE_LIBRARY} ${QT_QTSVG_LIBRARY})
endif (Q_WS_X11)


if (NOT QTC_QT_ONLY)
    install(TARGETS qtcurve DESTINATION ${QTCURVE_STYLE_DIR})
else (NOT QTC_QT_ONLY)
    install(TARGETS qtcurve LIBRARY DESTINATION ${QTCURVE_STYLE_DIR})
endif (NOT QTC_QT_ONLY)

=== themes/CMakeLists.txt ===
install(FILES Agua.qtcurve Agua_II.qtcurve Curve.qtcurve Flat.qtcurve Human.qtcurve Inverted.qtcurve
              Klearlooks.qtcurve Milk.qtcurve Murrine.qtcurve Ozone.qtcurve Plastic.qtcurve Silk.qtcurve
        DESTINATION ${DATA_INSTALL_DIR}/QtCurve)

=== debian/changelog ===
kde-style-qtcurve (1.8.14-3) unstable; urgency=low

  * Move package to unstable: no changes required.
  * Bump Standards-Version to 3.9.4 (was 3.9.3): no changes required.
  * Add debian/patches/add-russian-translation: add Russian localization file.
  * Update years in debian/copyright.

 -- Boris Pek <tehnick-8@mail.ru>  Thu, 23 May 2013 20:44:37 +0300

kde-style-qtcurve (1.8.14-2) experimental; urgency=low

  * Rename package qtcurve-i18n to qtcurve-l10n.
    New package provides virtual package qtcurve-i18n for smooth transition.
  * Fix get-orig-source section in according with Debian Policy §4.9.
  * Remove obsolete DM-Upload-Allowed flag.

 -- Boris Pek <tehnick-8@mail.ru>  Wed, 24 Oct 2012 07:26:55 +0300

kde-style-qtcurve (1.8.14-1) experimental; urgency=low

  * Update to stable release 1.8.14.

 -- Boris Pek <tehnick-8@mail.ru>  Fri, 10 Aug 2012 00:01:49 +0300

kde-style-qtcurve (1.8.13-1) experimental; urgency=low

  * Update to stable release 1.8.13.

 -- Boris Pek <tehnick-8@mail.ru>  Wed, 01 Aug 2012 00:53:21 +0300

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,7 @@
 Homepage: http://www.kde-look.org/content/show.php?content=40492
 Vcs-Git: git://github.com/tehnick/kde-style-qtcurve-debian.git
 Vcs-Browser: https://github.com/tehnick/kde-style-qtcurve-debian
-Standards-Version: 3.9.3
-DM-Upload-Allowed: yes
+Standards-Version: 3.9.4
 
 Package: kde-style-qtcurve
 Architecture: any
@@ -40,10 +39,13 @@
  The corresponding GTK+ theme engine can be found in gtk2-engines-qtcurve
  package.
 
-Package: qtcurve-i18n
+Package: qtcurve-l10n
 Section: localization
 Architecture: all
 Depends: ${misc:Depends}
+Provides: qtcurve-i18n
+Replaces: qtcurve-i18n
+Conflicts: qtcurve-i18n
 Description: Translation files for QtCurve
  This package contains translation files for QtCurve.
  .
@@ -56,13 +58,13 @@
 Architecture: any
 Depends: ${misc:Depends},
  kde-style-qtcurve, kwin-style-qtcurve,
- gtk2-engines-qtcurve, qtcurve-i18n
+ gtk2-engines-qtcurve, qtcurve-l10n
 Description: Unified window decoration for KDE and GTK+ (meta-package)
  This package installs all packages related with QtCurve:
   * kde-style-qtcurve
   * kwin-style-qtcurve
   * gtk2-engines-qtcurve
-  * qtcurve-i18n
+  * qtcurve-l10n
  .
  QtCurve is a set of widget styles for KDE and GTK+. It provides a consistent
  look between KDE and GTK+ applications, which is easy on the eyes and visually

=== debian/rules ===
#!/usr/bin/make -f

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export CPPFLAGS CFLAGS CXXFLAGS LDFLAGS

%:
	dh $@ --parallel --list-missing --with kde

get-orig-source:
	uscan --noconf --verbose --force-download --rename --download-current-version

.PHONY: override_dh_auto_test

=== debian/watch ===
version=3
http://www.kde-look.org/content/download.php?content=40492&id=1 http://craigd.wikispaces.com/file/view/QtCurve-KDE4-(.*).tar.bz2
